#include <windows.h>

/**
 * メッセージを出力して終了する
 */
extern "C" void _Jv_Abort (const char *func, const char *file, int line, const char *message) {
	// ToDo: メッセージをUnicodeに変換する
	MessageBox(NULL,
			   _T("Fatal error occurred in fdlibm"),
			   _T("Fatal error"),
			   MB_OK | MB_ICONERROR);
	ExitProcess(-1);
}


